<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Lesson 3</title>
</head>

<body>

    <script>
        // Создать массив
        var styles = [" Джаз", "Блюз"];

        document.write("<p> Исходный:" + styles.join("  "));
        document.write("<p> Размер массива :" + styles.length);

        document.write("<hr/>");

        //Добавить Рок-н-ролл

        var lenght = styles.push("Рок-н-ролл");

        document.write("<p> После добавления:" + styles.join("  "));
        document.write("<p> Размер массива :" + styles.length);

        document.write("<hr/>");

        //Заменить значение в середине на Классика

        styles.splice(1, 1, "Классика");

        document.write("<p>После вставки: " + styles);

        document.write("<hr/>");

        //Удалите первый элемент массива и покажите его

        document.write("<p>Исходный массив:" + styles.join("  "));

        var value = styles.shift();

        document.write("<p>Массив после сдвига : " + styles.join("  "));
        document.write("<p>Выдвинутое значение : " + value);

        document.write("<hr/>");

        //Вставьте Рэп и Регги в начало массива

        styles.unshift("Рэп", "Регги");

        document.write("<p>Массив после сдвига: " + styles.join("  "));


        var styles = [" Джаз", "Блюз"];

        document.write("<p> Исходный:" + styles.join("  "));

        document.write("<hr/>");

        var lenght = styles.push("Рок-н-ролл");

        document.write("<p> После добавления:" + styles.join("  "));

        document.write("<hr/>");
        styles.splice(2, 0, "Классика");

        document.write("<p>После вставки: " + styles);

        document.write("<hr/>");

        styles.unshift("Рэп", "Регги");

        document.write("<p>Массив после сдвига: " + styles.join("   "));
    </script>

</body>

</html>

</html>

</html>
